Results 1 to 9 of 9

Thread: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

  1. #1
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    704

    Default zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Trying to do an update this evening as for some reason my Tumbleweed GUI starts but the start menu and background are not there. Fortunately I had still een Konsole open and that responded, so I thought let's do a "zypper dup" to see if that solves the problem.

    That tells me:
    Code:
    The following NEW package is going to be installed:
      kernel-default-4.15.1-1.5
    
    The following 4 applications are going to be REMOVED:
      "Firefox Web Browser" "Hugin Batch Processor" "Hugin Calibrate Lens" "Hugin Panorama Creator"
    
    The following package is going to be REMOVED:
      kernel-default-4.15.1-1.4
    
    The following 28 packages are going to be upgraded:
      MozillaFirefox MozillaFirefox-translations-common autoyast2-installation gvfs gvfs-backend-afc gvfs-backend-samba gvfs-backends gvfs-fuse gvfs-lang hugin libgexiv2-2 libgexiv2-devel
      libgupnp-igd-1_0-4 libmysqlcppconn7 libstorage-ng-ruby libstorage-ng1 libtracker-common-2_0 libtracker-sparql-2_0-0 openSUSE-release openSUSE-release-ftp strongswan-ipsec
      strongswan-libs0 texlive-lm-fonts yast2-bootloader yast2-firewall yast2-installation yast2-nis-client yast2-storage-ng
    
    The following product is going to be upgraded:
      openSUSE Tumbleweed  20180206-0 -> 20180207-0
    
    The following 19 packages are going to be downgraded:
      Mesa Mesa-32bit Mesa-dri Mesa-dri-32bit Mesa-gallium Mesa-gallium-32bit Mesa-libEGL-devel Mesa-libEGL1 Mesa-libGL-devel Mesa-libGL1 Mesa-libGL1-32bit Mesa-libglapi0 Mesa-libglapi0-32bit
      Mesa-libva libOSMesa8 libOSMesa8-32bit libgbm1 libwayland-egl-devel libwayland-egl1
    
    28 packages to upgrade, 19 to downgrade, 1 new, 1 to remove.
    That looks good, 19 to be downgraded, maybe a problem was found.
    What is not good is that zypper dup hangs on
    Code:
    Retrieving package openSUSE-release-20180207-1.2.x86_64                                                                                             (30/48), 689.1 KiB (  1.0 MiB unpacked)
    Retrieving: openSUSE-release-20180207-1.2.x86_64.rpm .......................................................................................................................[error (2 B/s)]
    Timeout exceeded when accessing 'http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/x86_64/openSUSE-release-20180207-1.2.x86_64.rpm'.
    Abort, retry, ignore? [a/r/i] (r):
    Tried wget-ting the file and it detects that the there is a redirect to http://download.opensuse.org/tumblew...1.2.x86_64.rpm but that hangs on "HTTP request sent, awaiting response..."

    Anybody an idea how to get openSUSE-release-20180207-1.2.x86_64.rpm?

  2. #2
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    704

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Must have been an intermittent or temporary problem because I just tried and the file was downloaded within seconds.

    zypper dup did the update but that did not fix the problem I was trying to solve, when TB starts up I get no background, no start menu, no button bar and no icons. I do get a Konsole window that I left open before restarting and from there I can start programs from the command prompt and they work fine. When I move a window, the old location is not cleared.

    Will have a better look tomorrow but if anybody has some idea on what is going on...

  3. #3
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    704

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Just remembered reading in another thread to remove ~/.cache/ and /var/lib/sddm/.cache/, did that and problem solved!

  4. #4

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Occasionally a mirror gets like partially updated and thus broken. Generally the distribution system sorts itself out by the next day.

  5. #5
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Quote Originally Posted by marel View Post
    Just remembered reading in another thread to remove ~/.cache/ and /var/lib/sddm/.cache/, did that and problem solved!
    Sheer coincedence. 'zypper clean' would have solved it. ( it cleans out cached zypper data ).
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  6. #6
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    704

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Would indeed "zypper clean" have solved this? I can imagine it cleaning up ~/.cache/ but also /var/lib/sddm/.cache/?

    On the other hand, not sure if both
    cleaning up ~/.cache/ and /var/lib/sddm/.cache/ was needed.

  7. #7

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    I doubt that /var/lib/sddm/.cache/ has any effect on zypper

  8. #8
    Join Date
    Mar 2015
    Location
    Indianapolis area
    Posts
    35

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Check if your repos are set to autorefresh, if they aren't, you might need a 'zypper ref', I ran into this today.

  9. #9
    Join Date
    Oct 2014
    Location
    Rotterdam
    Posts
    704

    Default Re: zypper dup: Can not download openSUSE-release-20180207-1.2.x86_64.rpm

    Quote Originally Posted by pborowicz View Post
    Check if your repos are set to autorefresh, if they aren't, you might need a 'zypper ref', I ran into this today.
    My normal update procedure is "zypper ref; zypper verify; zypper dup" so it is not really possible the repo data was out-of-date.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •